> ## Documentation Index
> Fetch the complete documentation index at: https://monid.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance

> Get the current wallet balance.

```text theme={null}
GET /v1/wallet/balance
```

Get the current wallet balance for your workspace.

## Headers

| Header           | Required | Description                                              |
| ---------------- | -------- | -------------------------------------------------------- |
| `Authorization`  | Yes      | `Bearer <api-key>`                                       |
| `x-workspace-id` | No       | Only needed with OAuth/JWT tokens without an org context |

<CodeGroup>
  ```bash curl theme={null}
  curl "https://api.monid.ai/v1/wallet/balance" \
    -H "Authorization: Bearer monid_live_..."
  ```
</CodeGroup>

## 200 OK

| Field     | Type   | Description                                                                       |
| --------- | ------ | --------------------------------------------------------------------------------- |
| `balance` | object | Available balance as `{ "value": number, "currency": "USD" }`. It may be negative |
| `held`    | object | Funds held for in-flight runs, same shape                                         |

```json theme={null}
{
  "balance": { "value": 2.85, "currency": "USD" },
  "held": { "value": 0.10, "currency": "USD" }
}
```

## 503 Service Unavailable

Returned with a `walletStatus` field when the wallet is not active.
